<template>
  <div name="menuInRowItem" :value="name" :label="label" :highlight='highlight' @click.prevent="clickDom">
    <slot>
        {{ label }}
    </slot>
  </div>
</template>

<script>
export default {
    name:'menuInRowItem',
  components: {},
  props: {
    label:{
        type:String,
        default:''
    },
    name:{
        type:[String,Number],
        default:'' 
    },
    highlight:{
        type:Boolean,
        default:false
    }

  },
  data() {
    return {
    };
  },
  watch: {},
  computed: {},
  created() {},
  mounted() {},
  methods: {
    clickDom(e){
        this.$emit('click',e)
    }
  },
};
</script>
<style lang="scss" scoped>
</style>